//Promise létrehozása
let myPromise = new Promise((resolve, reject) => {
    let success = true;

    setTimeout(() => {
        if (success) {
            resolve("A művelet sikeresen befejeződött!"); //Sikeres teljesítés
        } else {
            reject("Hiba történt a művelet során!"); //Elutasítás
        }
    }, 2000); //2 másodperces késleltetés
});

myPromise
    .then(result => {
        console.log(result); //Eredmény kiírása, ha a Promise teljesítve lett
    })
    .catch(error => {
        console.error(error); //Hiba kiírása, ha a Promise elutasítva lett
    });

